Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001547graphvizDotpublic2009-03-03 05:452011-04-28 04:03
ReporterPander 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOS*-*-OS Version
Summary0001547: Margin on node implemented too simple
Description



the margin on node is implemented too simple. Please see the example dot file.



Nodes a and e are without margin and are OK



Nodes b,c,d and f,g,h have a margin but the label is not positioned according to the margin, this would be desirable and should be fixed.



Nodes c and g have different margin for horizontal and vertical, but only the first number is used for both. It is desirable that horizontal and vertical margins can be specified independently. Therefore this should be fixed too.



The current situation described above occurs for PNG, SVG and PDF output and should be fixed for these and as many other output formats as possible.
Steps To Reproduce

digraph "test" {
    a [label="bla bla\l" ]
    b [label="bla bla\l" margin=.2 ]
    c [label="bla bla\l" margin=.2,.5 ]
    d [label="bla bla\l" margin=.5 ]
    e [label="bla bla\l" shape="box" ]
    f [label="bla bla\l" shape="box" margin=.2 ]
    g [label="bla bla\l" shape="box" margin=.2,.5 ]
    h [label="bla bla\l" shape="box" margin=.5 ]
}
Additional Information

[ellson]
I fixed up the quoting of the margins and tested with latest snapshot. I don't see any problems; I think 2.26 behaves
as it is supposed to.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID1588
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (6 Jan 2010)
VERSION     2.21.20090302.1418-1
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker